| Package | Description |
|---|---|
| com.google.api.services.cloudbuild.v1 | |
| com.google.api.services.cloudbuild.v1.model |
| Modifier and Type | Method and Description |
|---|---|
CloudBuild.GithubDotComWebhook.Receive |
CloudBuild.GithubDotComWebhook.receive(HttpBody content)
ReceiveGitHubDotComWebhook is called when the API receives a github.com webhook.
|
CloudBuild.Locations.RegionalWebhook |
CloudBuild.Locations.regionalWebhook(String location,
HttpBody content)
ReceiveRegionalWebhook is called when the API receives a regional GitHub webhook.
|
CloudBuild.V1.Webhook |
CloudBuild.V1.webhook(HttpBody content)
ReceiveWebhook is called when the API receives a GitHub webhook.
|
CloudBuild.Projects.Locations.Triggers.Webhook |
CloudBuild.Projects.Locations.Triggers.webhook(String name,
HttpBody content)
ReceiveTriggerWebhook [Experimental] is called when the API receives a webhook request targeted
at a specific trigger.
|
CloudBuild.Projects.Triggers.Webhook |
CloudBuild.Projects.Triggers.webhook(String projectId,
String trigger,
HttpBody content)
ReceiveTriggerWebhook [Experimental] is called when the API receives a webhook request targeted
at a specific trigger.
|
| Constructor and Description |
|---|
Receive(HttpBody content)
ReceiveGitHubDotComWebhook is called when the API receives a github.com webhook.
|
RegionalWebhook(String location,
HttpBody content)
ReceiveRegionalWebhook is called when the API receives a regional GitHub webhook.
|
Webhook(HttpBody content)
ReceiveWebhook is called when the API receives a GitHub webhook.
|
Webhook(String name,
HttpBody content)
ReceiveTriggerWebhook [Experimental] is called when the API receives a webhook request targeted
at a specific trigger.
|
Webhook(String projectId,
String trigger,
HttpBody content)
ReceiveTriggerWebhook [Experimental] is called when the API receives a webhook request targeted
at a specific trigger.
|
| Modifier and Type | Method and Description |
|---|---|
HttpBody |
HttpBody.clone() |
HttpBody |
HttpBody.encodeData(byte[] data)
The HTTP request/response body as raw binary.
|
HttpBody |
HttpBody.set(String fieldName,
Object value) |
HttpBody |
HttpBody.setContentType(String contentType)
The HTTP Content-Type header value specifying the content type of the body.
|
HttpBody |
HttpBody.setData(String data)
The HTTP request/response body as raw binary.
|
HttpBody |
HttpBody.setExtensions(List<Map<String,Object>> extensions)
Application specific response metadata.
|
Copyright © 2011–2024 Google. All rights reserved.